Devices No Longer Supported Within the NI-MAX DAQmx 17.6 API

Updated May 31, 2018

Reported In

Hardware

  • cDAQ-9172
  • ENET-9163
  • WLS-9163
  • NI-9233

Software

  • Measurement & Automation Explorer (MAX)

Driver

  • NI-DAQmx
  • NI-DAQmx 17.6

Issue Details

I have a cDAQ-9172, NI ENET-9163, NI WLS-9163, or NI 9233 plugged into my computer, and NI Measurement and Automation Explorer (MAX) shows the device is not supported anymore.



Status Code: -209852
The specified device is no longer supported within the NI DAQmx API.
Visit ni.com/info and enter the Info Code: Cseriesdoc

Solution

  1. Uninstall the latest NI-DAQmx driver.
  2. Install the NI-DAQmx 17.5 driver.

Additional Information

NI-DAQmx readme's contain the most up to date information for device and module compatibility with each version.  You can find some NI-DAQmx readme’s in NI Manuals, and the rest can be accessed through NI Downloads for NI-DAQmxClick here for more information on where to find your readme, which also contains other information like Operating System (OS) support, Application Development Environment (ADE) support, known issues and bug fixes.

 

Review the document: Devices and Modules No Longer Supported in NI-DAQmx 17.6 and Late for the details about the products that are no longer supported by the 17.6 version of the NI-DAQmx driver.

If you are getting this message, and your product is not part of this list, please review the following document: cDAQ Module Shows as Unsupported Module in MAX with NI-DAQmx.

WAS THIS ARTICLE HELPFUL?

Not Helpful